<?php 
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');
include_once ('../chat/includes/functions.php');


if (isset($_GET['act'])) {
	$act = check($_GET['act']);
} else {
	$act = 'index';
} 
if (isset($_GET['start'])) {
	$start = abs(intval($_GET['start']));
} else {
	$start = 0;
} 
if (is_admin(array(101, 102, 103, 105))) {
    show_title('types.png', 'Управление кафешкой');
    $config['newtitle'] = 'Управление кафешкой';
switch ($act):
    # ###########################################################################################
    # #                                    Главная страница                                    ##
    # ###########################################################################################
	case 'index':
        echo '<a href="../chat/4/index.php?start=' . $start . '&amp;' . SID . '">Обзор</a><br /><hr />';

        $file = file(DATADIR . "4chat.dat");
        $file = array_reverse($file);
        $total = count($file);

        if ($total > 0) {
            echo '<form action="4chatuser.php?act=del&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';

            if ($start < 0 || $start > $total) {
                $start = 0;
            } 
            if ($total < $start + $config['chatpost']) {
                $end = $total;
            } else {
                $end = $start + $config['chatpost'];
            } 
            for ($i = $start; $i < $end; $i++) {
                $data = explode("|", $file[$i]);

                $num = $total - $i - 1;

                $useronline = user_online($data[1]);
                $useravatars = user_avatars($data[1]);
                $anketa = '<a href="../pages/anketa.php?uz=' . $data[1] . '&amp;' . SID . '"> ' . nickname($data[1]) . '</a>';

                if ($data[1] == 'Олька') {
                    $useravatars = '<img src="../chat/4/img/bot.gif" alt="image" /> ';
                    $useronline = '<span style="color:#00ff00">[On]</span>';
                    $anketa = 'Олька';
                } 
                
                

                echo '<div class="b">';

                echo $useravatars;

                echo '<b>' . $anketa . '</b> ' . user_title($data[1]) . ' ' . $useronline . ' <small> (' . date_fixed($data[3]) . ')</small><br />';
                echo '<input type="checkbox" name="del[]" value="' . $num . '" /> ';
                echo '</div><div>' . bb_code($data[0]) . '<br />';
                echo '</div>';
            } 

            echo '<br /><input type="submit" value="Удалить выбранное" /></form>';

					page_strnavigation('topic.php?tid='.$tid.'&amp;', $config['forumpost'], $start, $total);

            echo '<br /><br />Всего сообщений: <b>' . (int)$total . '</b><br />';

            if (is_admin(array(101))) {
                echo '<br /><img src="../images/img/error.gif" alt="image" /> <a href="4chatuser.php?act=prodel&amp;' . SID . '">Очистить</a>';
            } 
        } else {
            echo '<img src="../images/img/reload.gif" alt="image" />  <b>Сообщений еще нет!</b><br /><br />';
        } 
	break;
    # ###########################################################################################
    # #                                 Подтверждение очистки                                  ##
    # ###########################################################################################
	case 'prodel':
        echo '<br />Удалить все сообщения в Чате?<br />';
        echo '<img src="../images/img/error.gif" alt="image" /> <b><a href="4chatuser.php?act=alldel&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">Да уверен!</a></b><br />';

        echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="4chatuser.php?' . SID . '">Вернуться</a>';
	break;
    # ###########################################################################################
    # #                                   Очистка Чата                                    ##
    # ###########################################################################################
	case 'alldel':
        $uid = check($_GET['uid']);

        if (is_admin(array(101))) {
            if ($uid == $_SESSION['token']) {
                clear_files(DATADIR . "4chat.dat");

                $_SESSION['note'] = 'Чат успешно очищен!';
                redirect("4chatuser.php?" . SID);
            } else {
                echo '<b>Ошибка! Неверный идентификатор сессии, повторите действие!</b><br />';
            } 
        } else {
            echo '<b>Ошибка! Очищать Чат могут только суперадмины!</b><br />';
        } 

        echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="4chatuser.php?' . SID . '">Вернуться</a>';
	break;
    # ###########################################################################################
    # #                                 Удаление сообщений                                     ##
    # ###########################################################################################
	case 'del':
        $uid = check($_GET['uid']);
        if (isset($_POST['del'])) {
            $del = intar($_POST['del']);
        } else {
            $del = "";
        } 

        if ($uid == $_SESSION['token']) {
            if ($del !== "") {
                delete_lines(DATADIR . "4chat.dat", $del);

                $_SESSION['note'] = 'Выбранные сообщения успешно удалены!';
                redirect("4chatuser.php?" . SID);
            } else {
                echo '<b>Ошибка удаления! Отсутствуют выбранные сообщения</b><br />';
            } 
        } else {
            echo '<b>Ошибка! Неверный идентификатор сессии, повторите действие!</b><br />';
        } 

        echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="4chatuser.php?start=' . $start . '&amp;' . SID . '">Вернуться</a>';
	break;
	default:
		redirect("backup.php?".SID);
	endswitch;
    echo '<br /><img src="../images/img/balloon.gif" alt="image" /> <a href="../chat/index.php?">В ЧАТ</a><br />';
} else {
	redirect(BASEDIR.'index.php?'.SID);
} 
include_once ('../themes/footer.php');

?>